package cn.yyxx.commsdk.core.impl;

import android.app.Activity;
import android.app.Application;
import android.content.Context;
import android.content.Intent;

import java.util.List;

import cn.yyxx.commsdk.base.entity.SdkChargeInfo;
import cn.yyxx.commsdk.base.entity.SdkRoleInfo;
import cn.yyxx.commsdk.base.internal.ICallback;
import cn.yyxx.commsdk.base.internal.IInitialize;
import cn.yyxx.commsdk.base.utils.Logger;
import cn.yyxx.commsdk.core.SdkDrive;
import cn.yyxx.commsdk.core.common.CommonOperationManager;
import cn.yyxx.commsdk.core.network.SdkRequest;
import cn.yyxx.commsdk.core.utils.MMKVUtils;

/**
 * @author #Suyghur.
 * Created on 2021/12/25
 */


public final class SdkBridgeImpl {

    public SdkBridgeImpl(Context context) {

    }

    public void attachBaseContext(Application application, Context context) {
        Logger.i("application   attachBaseContext ...");
        // 初始化Zap日志框架
        Logger.initZap(application);



    }

    public void initApplication(Application application) {
        Logger.i("initApplication ...");
        MMKVUtils.getInstance().init(application);
    }

    public void initAgreement(Activity activity,ICallback callback) {

        CommonOperationManager.getInstance().initAgreement(activity,callback);
    }
    public void initialize(Activity activity, Boolean isLandscape, ICallback callback) {

        CommonOperationManager.getInstance().initialize(activity,isLandscape,callback);

    }

    public void onFloatCenterLogout(Activity activity, ICallback callback) {
    }

    public void login(Activity activity, final ICallback callback) {
    }

    public void logout(Activity activity, final ICallback callback) {
    }

    public void charge(Activity activity, SdkChargeInfo chargeInfo, ICallback callback) {
    }

    public void roleCreate(Activity activity, SdkRoleInfo roleInfo, ICallback callback) {
    }

    public void roleLauncher(Activity activity, SdkRoleInfo roleInfo, ICallback callback) {
    }

    public void roleUpgrade(Activity activity, SdkRoleInfo roleInfo, ICallback callback) {
    }

    public boolean hasExitView(Activity activity) {
        return false;
    }

    public void openExitView(Activity activity, final ICallback callback) {
    }

    public void onStart(Activity activity) {
    }

    public void onRestart(Activity activity) {
    }

    public void onResume(Activity activity) {
    }


    public void onPause(Activity activity) {
    }

    public void onStop(Activity activity) {
    }

    public void onDestroy(Activity activity) {
    }

    public void onActivityResult(Activity activity, int requestCode, int resultCode, Intent intent) {
    }

    public void onNewIntent(Activity activity, Intent intent) {
    }

    public void requestPermission(Activity activity, List<String> permissions, ICallback callback) {
    }

    public String getCurrentUserId() {
        return "";
    }
}
